# param1: path to the 'processGivenVideo.py' script
# param2: path to the Fiji binary in the local Fiji installation

#for gtFolder in ../gtReference/Fluo-N3DL-DRO; do
#for gtFolder in ../gtReference/DIC-C2DH-HeLa; do
for gtFolder in ../gtReference/*; do
	for video in 01 02; do
		# readout timepoints that are available in SEG GT
		timePoints="0"

		is2D=`echo $gtFolder | sed 's/.*\([23]D\).*/\1/'`
		if [ $is2D == "2D" ]; then
			for image in $gtFolder/${video}_GT/SEG/*tif; do
				imageTime=`echo $image | sed 's/.*_seg\(...\)\.tif/\1/'`
				timePoints="$timePoints,$imageTime"
			done
		else
			for image in $gtFolder/${video}_GT/SEG/*tif; do
				imageTime=`echo $image | sed 's/.*seg_\(...\)_...\.tif/\1/'`
				timePoints="$timePoints,$imageTime"
			done
		fi

		gtFolderBasename=`basename $gtFolder`
		echo python3 $1 $2 ../fusionOutputs "${gtFolderBasename}-$video" "$timePoints" $gtFolder/${video}_GT `ls -d ../userResults/*/$gtFolderBasename/${video}_RES` > "${gtFolderBasename}-${video}.cmd"
	done
done
